/**  --------------------------------------------------------------------
 *  @file address.h
 *  @brief  Declaration of the Address class.
 *  @author Andreas Aardal Hanssen
 *  @date 2002-2005
 *  -----------------------------------------------------------------  **/
#ifndef address_h_included
#define address_h_included
#include <string>

namespace Binc {

  //------------------------------------------------------------------------
  class Address {
  public:
    std::string name;
    std::string local;
    std::string host;

    //--
    std::string toParenList(void) const;

    //--
    Address(const std::string &name, const std::string &addr);
    Address(const std::string &wholeaddr);
  };
}

#endif
