/**  --------------------------------------------------------------------
 *  @file globals.h
 *  @brief  Global constants.
 *  @author Andreas Aardal Hanssen, Erwin Hoffmann
 *  @date 2002-2005, 2023
 *  -----------------------------------------------------------------  **/
#ifndef GLOBAL_H_INCLUDED
#define GLOBAL_H_INCLUDED

#define BINC_VERSION "2.0.15"
#define IMAP_VERSION "IMAP4rev1"
#define BINC_CACHE "BINC-CACHE-1.0"
#define IMAP_PORT "143"
#define IMAPS_PORT "993"

namespace Binc {
  static const int IDLE_TIMEOUT = 30*60;
  static const int AUTH_TIMEOUT = 60;
  static const int AUTH_PENALTY = 5;
  static const int TRANSFER_TIMEOUT = 20*60;
  static const int TRANSFER_BUFFER_SIZE = 1024;
  static const int INPUT_BUFFER_LIMIT = 8192;

};
#endif
